/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.dao;

import net.northking.cctp.scriptcase.db.entity.LibraryBusComInfo;
import net.northking.cctp.scriptcase.db.mapper.LibraryBusComInfoMapper;
import net.northking.cctp.scriptcase.dto.comLib.LibraryBusComInfoDetailDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：业务组件库组件列表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-12-06 10:53:48  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface LibraryBusComInfoDao extends LibraryBusComInfoMapper
{
    int queryCountByTreeCom(LibraryBusComInfo checkCount);

    List<String> checkRepeatName(@Param(value = "nameList")List<String> nameList, @Param(value = "lib")LibraryBusComInfo lib);

    String updateByIdList(@Param(value = "lib")LibraryBusComInfo info, @Param(value = "ids")List<String> ids);

    List<LibraryBusComInfoDetailDto> queryComListByType(@Param(value = "com")LibraryBusComInfo comQuery, @Param(value = "types")List<Integer> types);

    List<String> selectCreator(@Param("tenantId")String tenantId);
}
