package net.northking.cctp.scriptcase.dto.sceneScript;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@JsonSerialize
@ApiModel(description = "终止调度")
public class StopCaseDto implements Serializable {
    @ApiModelProperty("计划执行任务号")
    public String taskId;
    @ApiModelProperty("用例Id")
    public String caseId;
}
