package net.northking.cctp.upperComputer.automation.constants;

public interface UpperParamKey {

    /**
     * 指令
     */
    String COMMAND_ID = "command_id";

    /**
     * 滑动相关
     */
    String IS_SWIPE = "is_swipe";

    String SWIPE_DIRECTION = "swipe_direction";

    String SWIPE_COUNT = "swipe_count";

    String SWIPE_SIZE = "swipe_size";

    String SEARCH_SWIPE = "search_swipe";

    /**
     * 基本参数
     */
    String WAIT_STATUS = "wait_status";


    /**
     * 节点相关
     */
    String NODE_TREE = "node_tree";

    String POINT = "point";

    /**
     * 屏幕相关
     */
    String X = "x";
    String Y = "y";
    String SCREEN_WIDTH = "screen_width";
    String SCREEN_HEIGHT = "screen_height";
    String WIDTH = "width";
    String HEIGHT = "height";
    String OCR_TEXT = "ocr_text";
    String INDEX = "index";


    /**
     * 图像相关
     */
    String IMG_URL = "img_url";

    /**
     * 输入相关
     */
    String CLEAR = "clear";

    String INPUT_TEXT = "input_text";


    /**
     * 设备信息
     */
    String DEVICE_INFO = "device_info";

    /**
     * 应用包名
     */
    String APP_PACKAGE = "app_package";

    /**
     * 应用操作类型
     */
    String TYPE = "type";

    /**
     * 超时时间
     */
    String WAIT_TIMEOUT = "waitTimeout";

    /**
     * 识别类型
     */
    String USING_TYPE = "using_type";
}
