/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.dao;

import net.northking.cctp.device.db.entity.CdDeviceStatus;
import net.northking.cctp.device.db.mapper.CdDeviceStatusMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * 设备状态信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-21 14:45:06  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface CdDeviceStatusDao extends CdDeviceStatusMapper
{

    List<CdDeviceStatus> findOfflineDevice(@Param("date") Date date);

    void updateDeviceStatus(@Param("ids") List<String> ids);

    void updateHeartbeatTime(@Param("ids") List<String> ids);


}
