/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.common.db.Pagination;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.device.db.entity.CdDeviceUsageLog;
import net.northking.cctp.device.dto.device.DeviceLogDto;

public interface CdDeviceUsageLogService extends BasicService<CdDeviceUsageLog>
{


    Pagination<CdDeviceUsageLog> pageQuery(QueryByPage<DeviceLogDto> dto);

    String queryCreatedBy(String deviceId);

    void deleteUsageLog();
// ----      The End by Generator     ----//

}
