package net.northking.cctp.project.constants;


/**
 * 系统计划的常量类
 *
 * @author jieying.li
 */
public class ProjectConstants {


    public final static String PROJECT_MANAGER = "PROJECT_MANAGER";

    public final static String Project_Bug_finished_Prefix = "UITEST-PROJECT:TEST-BUG:FINISHED:";

    public final static String FLOW_FINISHED_PREFIX = "UITEST-CCTP-FLOWABLE:STATUS:FINISHED:";

    public final static String ProjectId_UserId = "UITEST-PROJECT:latest-visited:";

    /**
     * 实施流程的缓存key前缀
     */
    public final static String IMPLEMENT_PREFIX = "UITEST-CCTP-FLOWABLE:IMPLEMENT:PROCESS:";

    /**
     * 字典key前缀
     */
    public final static String DICT_PREFIX = "MONSTER_DIC_";

    /**
     * 缺陷状态的字典code
     */
    public final static String DICT_CODE_STATUS = "bugStatus";

    /**
     * 数据源URL模板字典
     */
    public static final String DS_URL_TEMP_DICT = "dataSourceUrlTemp";

    /**
     * 数据源驱动类型字典
     */
    public static final String DS_DRIVER_TYPE_DICT = "dataSourceDriverType";

    /**
     * 数据源配置来源-静态
     */
    public static final String DS_CONFIG_SOURCE_TYPE_STATIC = "1";

    /**
     * 数据源配置来源-动态
     */
    public static final String DS_CONFIG_SOURCE_TYPE_DYNAMIC = "2";

    public static final String PROJECT_ENV_SYS_LOCK = "project:env:sys:lock";

    public static final String CREATED_TIME = "created_time";

    public static final String ORDER_BY_DESC = "DESC";

    public static final String DEMAND_STATUS = "demand_status";

    public static final String SIMPLE_DATE_FORMAT = "yyyyMMdd";

    public static final String STR_LINK = "-";

    public static final String REQ_NO_START = "REQ-";

    public static final String STR_FORMAT = "%03d";

    public static final String DEL_DEMAND = "删除需求：";

    public static final String DEMAND_MODULE = "需求名称";

    public static final String LOG_STATUS_DEL = "3";

    public static final String MAP_KEY_RESULT = "result";

    public static final String SQL_CONTENT_PROCEDURE = "procedure";

    public static final String DOCUMENT_CURSOR = "cursor";

    public static final String CURSOR_FIRST_BATCH = "firstBatch";

    public static final String REMOVE_ITEM = "_id";

    public static final String MAP_KEY_TOTAL = "total";

    public static final String RESULT_HEADERS = "headers";

    public static final String PRO_GROUP_PRO_ID = "p_group.project_id";

    public static final String PRO_GROUP_CREATED_TIME = "p_group.created_time";

    public static final String ORDER_BY_ID = "id";

    public static final String STR_ZERO = "0";

    public static final String TEAM_GROUP = "teamGroup";

    public static final String ITEM_CODE = "itemCode";

    public static final String ITEM_NAME = "itemName";

    public static final String STR_NULL = "null";

    public static final String PARENT_ID_TOP = "TOP";

    public static final String STR_ONE = "1";

    public static final String PRODUCTION_TIME = "2029-01-01";

    public static final String PARAM_MAP_STATUS = "status";

    public static final String PARAM_MAP_STATUS_P = "p";

    public static final String SOFTWARE_CODE = "UAT";

    public static final String PRO_RULE_COLLECTION = "UITEST-PROJECT:RULE:COLLECTION:";

    public static final String SIMPLE_DATE_FORMAT_SECOND = "yyyy-MM-dd HH:mm:ss";

    public static final String CREATED_PRO_CONTENT_MODULE_I = "%s您好，您在%s【%s】系统下创建了第%d层【%s】系统，请及时查看！";

    public static final String CREATED_PRO_CONTENT_MODULE_II = "%s您好，%s在%s【%s】系统下创建了第%d层【%s】系统，请及时查看！";

    public static final String CREATED_PRO_CONTENT_MODULE_III = "%s您好，您在%s创建了【%s】系统，指派负责人为您！请及时查看！";

    public static final String CREATED_PRO_CONTENT_MODULE_IV = "%s您好，%s在%s创建了【%s】系统，指派负责人为您！请及时查看！";

    public static final String CREATED_PRO = "【创建系统】";

    public static final String PRO_IDX = "idx";

    public static final String BUG_RULE_NO = "MT0031";

    public static final String CREATED_PRO_PRINCIPAL_MODULE_I = "%s您好，您在%s指派【%s】系统负责人为您，请及时查看！";

    public static final String CREATED_PRO_PRINCIPAL_MODULE_II = "%s您好，%s在%s指派【%s】系统负责人为您，请及时查看！";

    public static final String CHANGE_PRO_PRINCIPAL = "【变更系统负责人】";

    public static final String PRO_QUERY_DATA = "UITEST-PROJECT:queryData:";

    public static final String PRO_SEQ = "seq";

    public static final String CCTP_PLATFORM_ENV = "UITEST-CCTP-PLATFORM:ENV";

    public static final String DEL_PRO = "删除系统：";

    public static final String PRO_MODULE = "系统名称";

    public static final String DEL_PRO_MODULE_I = "%s您好,【%s】系统在%s被您删除，请知悉！";

    public static final String DEL_PRO_MODULE_II = "%s您好,【%s】系统在%s被%s删除，请知悉！";

    public static final String DEL_PRO_LIST = "【删除系统】";

    public static final String DEL_PRO_CONTENT = "%s你好,你所在的【%s】系统已被删除，请知悉！";

    public static final String PRO_CODE = "code";

    public static final String PRO_ENV_ID = "env_id";

    public static final String TIME_OUT = "超时未响应";

    public static final String PRO_ID = "projectId";

    public static final String PRO_ID_DESC = "project_id";

    public static final String REPORT_TYPE = "reportType";

    public static final String REPORT_NAME = "reportName";

    public static final String YEAR = "year";

    public static final String MONTH = "month";

    public static final String DAY = "day";

    public static final String HOURS = "hours";

    public static final String PRO_NAME = "projectName";

    public static final String PRO_RISKS = "projectRisks";

    public static final String DEFAULT_PRO_RISKS = "暂无相关信息";

    public static final String REPORT_PRO_MODULE = "%s系统%tF测试日报";

    public static final String REPORT_START_YEAR = "reportStartYear";

    public static final String REPORT_START_MONTH = "reportStartMonth";

    public static final String REPORT_START_DAY = "reportStartDay";

    public static final String REPORT_END_YEAR = "reportEndYear";

    public static final String REPORT_END_MONTH = "reportEndMonth";

    public static final String REPORT_END_DAY = "reportEndDay";

    public static final String PRO_TEST_REPORT = "%s系统%tF至%tF测试周报";

    public static final String CLOSE_BUG = "closeBug";

    public static final String BUG_AVG_LIFR_CYCLE = "bugAvgLifeCycle";

    public static final String PRO_ALL_REPORT = "%s系统%tF总体测试报告";

    public static final String DATE_FORMAT = "yyyy-MM-dd";

    public static final String ASIA_SHANGHAI = "Asia/Shanghai";

    public static final String START_YEAR = "startYear";

    public static final String START_MONTH = "startMonth";

    public static final String START_DAY = "startDay";

    public static final String END_YEAR = "endYear";

    public static final String END_MONTH = "endMonth";

    public static final String END_DAY = "endDay";

    public static final String COPY_REPORT_NAME = "(1)";

    public static final String COPY_REPORT_NAME_LEFT = "(";

    public static final String COPY_REPORT_NAME_RIGHT = ")";

    public static final String TC_COUNT = "tcCount";

    public static final String PASS_COUNT = "passCount";

    public static final String FAIL_COUNT = "failCount";

    public static final String PASS_RATE = "passRate";

    public static final String PERSON_INFO = "personInfo";

    public static final String EFFECTIVE_COUNT = "effectiveCount";

    public static final String CRITICAL_BUG_COUNT = "criticalBugCount";

    public static final String DEL_TEAM = "删除团队：";

    public static final String TEAM_MODULE = "团队名称";

    public static final String ROLE_NAME_LEFT = "【";

    public static final String ROLE_NAME_RIGHT = "】";

    public static final String NAME_TOO_LONG = "...";

    public static final String ROLE_USER_INSERT = "%s您好，你已成为【%s】系统的%s成员，请及时查看！";

    public static final String TEAM_MGR = "【团队管理】";

    public static final String STR_TWO = "2";

    public static final String NOTICE_RULE_NO = "MT0001";

    public static final String PRO_DATA_NO = "MT0002";

    public static final String TEAM_USER = "teamUser";

    public static final String DEL_PRO_ROLE = "%s你好，您已被移出【%s】系统，请及时查看！";

    public static final String MODULE_TEST_RETURN = "本次功能测试方面，【%s】总参与人数%d人。其中";

    public static final String HUMAN_AND = "人，";

    public static final String HUMAN_END = "人。";

    public static final Integer[] ALL_INDEX = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10,11,12,13,14,15,16,17,18,19,20};

    public static final String USER_DEFINED_IDX = "USER_DEFINED_IDX";

    public static final String BUG_TEMP = "bugTemplate";

    public static final String CASE_TEMP = "caseTemplate";

    public static final String PROJECT_ENV_DEFAULT = "系统环境";

    public static final String PROJECT_ENV_TEST_2 = "测试环境2";
}
