/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.project.dto.env;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import net.northking.cctp.project.db.entity.CpProjectEnvSys;

import java.io.Serializable;

/**
* Restful接口--资源详情--数据传输对象：系统环境被测系统信息
*
* createdate:  2023-10-06 16:09:05  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "系统环境被测系统信息")
public class CpProjectEnvSysDetailDto extends CpProjectEnvSys implements Serializable
{

}