/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.DwManualExecJob;
import net.northking.cctp.dw.db.entity.MtCaseExecPassRatio;
import net.northking.cctp.dw.db.mapper.MtCaseExecPassRatioMapper;
import org.springframework.stereotype.Repository;

/**
 * Mybatis数据库持久层（业务层）：案例通过率分析
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-17 10:03:26  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Repository
public interface MtCaseExecPassRatioDao extends MtCaseExecPassRatioMapper {

    Integer caseExecPassRatio(DwManualExecJob dwManualExecJob);

    Integer deleteAllExecPassRatioDataByProjectIds(MtCaseExecPassRatio ratio);
}
