package net.northking.cctp.dw.db.impl;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;
import net.northking.cctp.dw.db.dao.DwAtuPlanInfoDao;
import net.northking.cctp.dw.db.entity.DwAtuPlanInfo;
import net.northking.cctp.dw.db.service.DwAtuPlanInfoService;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

@Service
@ConditionalOnMissingBean(name = "DwAtuPlanInfoServiceImpl")
public class DwAtuPlanInfoServiceImpl extends PaginationService<DwAtuPlanInfo>  implements DwAtuPlanInfoService {
    private final DwAtuPlanInfoDao dwAtuPlanInfoDao;

    public DwAtuPlanInfoServiceImpl(DwAtuPlanInfoDao dwAtuPlanInfoDao) {this.dwAtuPlanInfoDao = dwAtuPlanInfoDao;}

    public BasicDao<DwAtuPlanInfo> getDao() {return dwAtuPlanInfoDao;}

    public DwAtuPlanInfo createEntity() { return new DwAtuPlanInfo();}


    @Override
    protected void beforeInsert(DwAtuPlanInfo dwAtuPlanInfo) {

    }

    @Override
    protected void beforeUpdate(DwAtuPlanInfo dwAtuPlanInfo) {

    }
}
