/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.DwManualExecDirDao;
import net.northking.cctp.dw.db.service.DwManualExecDirService;
import net.northking.cctp.dw.db.entity.DwManualExecDir;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.saas.db.TenantEntityService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-03-22 15:07:12  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "DwManualExecDirServiceImpl")
public class DwManualExecDirServiceImpl extends TenantEntityService<DwManualExecDir> implements DwManualExecDirService
{
private static final Logger logger = LoggerFactory.getLogger(DwManualExecDirServiceImpl.class);

  private final DwManualExecDirDao dwManualExecDirDao;

  public DwManualExecDirServiceImpl(DwManualExecDirDao dwManualExecDirDao) {this.dwManualExecDirDao = dwManualExecDirDao;}

  public BasicDao<DwManualExecDir> getDao() {return dwManualExecDirDao;}

  public DwManualExecDir createEntity() { return new DwManualExecDir();}

  @Override
  public Integer insertManualExecDirByBatch(List<DwManualExecDir> insertList) {
    return dwManualExecDirDao.insertManualExecDirByBatch(insertList);
  }

}

