/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.platform.db.entity.CpComponentParamter;

/**
 * Mybatis数据库持久层（底层）：组件参数
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-11-01 19:52:09  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface CpComponentParamterMapper extends BasicDao<CpComponentParamter>
{
  String EntityName = "CpComponentParamter";

  String COLUMN_id = "id";
  String COLUMN_comId = "com_id";
  String COLUMN_libId = "lib_id";
  String COLUMN_paramName = "param_name";
  String COLUMN_paramIntro = "param_intro";
  String COLUMN_paramType = "param_type";
  String COLUMN_paramFlag = "param_flag";
  String COLUMN_paramOrder = "param_order";
  String COLUMN_inputType = "input_type";
  String COLUMN_required = "required";
  String COLUMN_defaultValue = "default_value";
  String COLUMN_defaultDisplay = "default_display";
  String COLUMN_enumValues = "enum_values";
  String COLUMN_paramScope = "param_scope";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_tenantId = "tenant_id";

}
