drop table if exists cp_attach;

CREATE TABLE `cp_attach` (
  `id` varchar(200) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键（附件返回来的id）',
  `resource_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资源id',
  `attach_name` varchar(300) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '附件名称',
  `idx` int(3) DEFAULT '1' COMMENT '顺序号',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='附件信息表';