drop table if exists cp_feedback;

CREATE TABLE `cp_feedback` (
  `id` varchar(32) NOT NULL COMMENT '主键',
  `feedback` varchar(500) DEFAULT NULL COMMENT '反馈建议',
  `rank_score` varchar(10) DEFAULT NULL COMMENT '评分',
  `created_by` varchar(32) DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(32) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='用户对于平台的反馈建议';