drop table if exists cp_notice_memo;

CREATE TABLE `cp_notice_memo` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `notice_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '消息id',
  `memo` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `is_deleted` tinyint(1) DEFAULT NULL COMMENT '是否删除',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='消息备注表';