package net.northking.cctp.executePlan.constants;

/**
 * <p>Title: RabbitConstant</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/08
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class RabbitConstant {

    /**
     * 系统默认交换机
     */
    public static final String PROJECT_EXCHANGE_KEY = "atu.execute.plan";

    /**
     * PC任务执行信息队列前缀
     */
    public static final String TASK_EXEC_QUEUE_PC_KEY = "execute.plan.pc.";

    /**
     * 移动任务执行信息队列前缀
     */
    public static final String TASK_EXEC_QUEUE_MOB_KEY = "execute.plan.mob.";

    /**
     * 接口任务执行信息队列前缀
     */
    public static final String TASK_EXEC_QUEUE_API_KEY = "execute.plan.api.";

    /**
     * 计划用例队列
     */
    public static final String PLAN_CASE_KEY = "execute.plan.case";

    /**
     * 计划批次委托队列
     */
    public static final String PLAN_BATCH_ENTRUST = "execute.plan.batch.entrust";

    /**
     * 计划任务执行结果队列
     */
    public static final String TASK_EXEC_RESULT = "execute.plan.task.exec.result";

    /**
     * 设备离线队列
     */
    public static final String DEVICE_OFFLINE_QUEUE = "device.status.queue";

    /**
     * 任务超时延迟交换机
     */
    public static final String TASK_TIMEOUT_DELAY_EXCHANGE_NAME = "plan.task.timeout.delay.exchange";

    /**
     * 任务超时延迟队列
     */
    public static final String TASK_TIMEOUT_DELAY_QUEUE_NAME = "plan.task.timeout.delay.queue";

    /**
     * 任务超时延迟路由
     */
    public static final String TASK_TIMEOUT_DELAY_ROUTING_KEY = "plan.task.timeout.delay";

    /**
     * 更新任务输入参数的队列
     */
    public static final String TASK_INPUT_PARAM_UPDATE = "execute.plan.task.input_param.update";

    /**
     * 批次统计数据更新队列
     */
    public static final String BATCH_SUM_UPDATE_QUEUE = "execute.plan.batch.sum.update";
}
