package net.northking.cctp.executePlan.constants;

import java.util.concurrent.TimeUnit;

/**
 * <p>Title: RedisConstant</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/08
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class RedisConstant {
    /**
     * 计划批次序号key
     */
    public static final String PLAN_BATCH_NUM_KEY = "UITEST-plan:batch:";

    /**
     * 计划批次离线设备
     */
    public static final String PLAN_BATCH_OFFLINE_DEVICE = "UITEST-plan:batch:offline:device:";

    public static final long  PLAN_BATCH_OFFLINE_DEVICE_EXP_TIME = 1L;

    public static final TimeUnit  PLAN_BATCH_OFFLINE_DEVICE_TIME_UNIT = TimeUnit.HOURS;

    /**
     * 批次脚本统计数据
     */
    public static final String BATCH_SCRIPT_SUM_KEY = "UITEST-plan:batch:script:sum:";

    /**
     * 批次脚本任务数据
     */
    public static final String BATCH_SCRIPT_TASK_KEY = "UITEST-plan:batch:script:task:";

    /**
     * 批次脚本状态数据
     */
    public static final String BATCH_SCRIPT_STATUS_KEY = "UITEST-plan:batch:script:status:";

    /**
     * 集群key前缀
     */
    public static final String CLUSTER_KEY_PREFIX = "{cluster_";

    /**
     * 集群key后缀
     */
    public static final String CLUSTER_KEY_SUFFIX = "}_";

}
