/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.executePlan.db.entity.AtuPlanTask;

/**
 * Mybatis数据库持久层（底层）：计划执行任务表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2023-11-13 14:35:52  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuPlanTaskMapper extends BasicDao<AtuPlanTask>
{
  String EntityName = "AtuPlanTask";

  String COLUMN_id = "id";
  String COLUMN_batchId = "batch_id";
  String COLUMN_envId = "env_id";
  String COLUMN_scriptId = "script_id";
  String COLUMN_versionId = "version_id";
  String COLUMN_versionName = "version_name";
  String COLUMN_scriptName = "script_name";
  String COLUMN_scriptJson = "script_json";
  String COLUMN_caseId = "case_id";
  String COLUMN_caseNo = "case_no";
  String COLUMN_caseName = "case_name";
  String COLUMN_caseType = "case_type";
  String COLUMN_caseParam = "case_param";
  String COLUMN_engineId = "engine_id";
  String COLUMN_deviceId = "device_id";
  String COLUMN_appId = "app_id";
  String COLUMN_status = "status";
  String COLUMN_startTime = "start_time";
  String COLUMN_endTime = "end_time";
  String COLUMN_errorMsg = "error_msg";
  String COLUMN_videoUrl = "video_url";
  String COLUMN_execResultFile = "exec_result_file";
  String COLUMN_bugId = "bug_id";
  String COLUMN_perDataPath = "per_data_path";
  String COLUMN_createdTime = "created_time";

}
