package net.northking.cctp.pc.driver.constants;

import java.util.concurrent.TimeUnit;

/**
 * <p>Title: PCConstant</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/11/07
 * <p>Copyright: NorthKing@RPA（C）2020 版权</p>
 */

public class PCConstant {

    /**
     * SOCKET地址前缀
     */
    public static final String SOCKET_URI_PREFIX = "ws://";

    /**
     * SOCKET地址后缀
     */
    public static final String SOCKET_URI_SUFFIX = "/robot/engine";

    /**
     * 初始延迟 秒
     */
    public static final long SOCKET_RECONNECT_INITIAL_DELAY = 1;

    /**
     * 周期 秒
     */
    public static final long SOCKET_RECONNECT_PERIOD = 5;

    /**
     * socket关闭码
     */
    public static final String SOCKET_CLOSE_CODE = "1000";


    public static final TimeUnit SOCKET_RECONNECT_DEFAULT_TIMEUNIT = TimeUnit.SECONDS;
}
