/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.api.casedesign.service;

import net.northking.cctp.scriptcase.dto.casedesign.AtuProjectEnvDetailDto;

import java.util.List;

/**
 * 系统用例环境表Restful逻辑接口
 * @author maven-cctp-plugin
 * @since 1.0
 */
public interface AtuProjectEnvApiService
{

  /**
   * 获取系统用例环境表
   * @param projectIds 系统id列表
   * @return 接口数据传输对象
   */
  List<AtuProjectEnvDetailDto> findByPK(List<String> projectIds);

}
