package net.northking.cctp.scriptcase.dto.sceneScript;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

@Data
@JsonSerialize
@ApiModel(description = "请求场景首节点")
public class ReqSceneFirstNodeDto implements Serializable {
    @ApiModelProperty("计划执行任务号")
    public String taskId;

    @ApiModelProperty("用例Id")
    public String caseId;

    @ApiModelProperty("脚本id")
    private String scriptId;

    @ApiModelProperty("脚本Url")
    private String sceneScriptUrl;

    @ApiModelProperty("用例参数")
    private Map<String, Object> paramMap;
}
