package net.northking.cctp.upperComputer.constants;

public interface RequestCmd {

    String SCREEN_ON = "screen_on";  //开启屏幕

    String SCREEN_SIZE = "screen_size";  //改变屏幕尺寸

    String SCREEN_QUALITY = "screen_quality";  //设置图片质量与最大帧率

    String SCREEN_RECORD_ON = "screen_record_on";  //开启录屏

    String SCREEN_RECORD_OFF = "screen_record_off";  //结束录屏

    String SCREEN_CAPTURE = "screen_capture";//截图

    String INPUT_TOUCH_DOWN = "input_touchDown";//按下

    String INPUT_TOUCH_MOVE = "input_touchMove";//移动

    String INPUT_TOUCH_UP = "input_touchUp";//抬起

    String INPUT_KEY_PRESS = "input_keyPress";//发送热键

    String INPUT_KEY_DOWN = "input_keyDown"; //键盘按钮按下

    String INPUT_KEY_UP = "input_keyUp";  //键盘按钮抬起

    String INPUT_TYPE = "input_type";//键盘输入

    String INPUT_SET_TEXT = "input_setText";//设置输入文本

    String CLIPBOARD_PAST = "clipboard_past";//设置手机剪贴板中的内容

    String CLIPBOARD_COPY = "clipboard_copy";//获取手机剪贴板中的内容

    String DEVICE_ROTATE = "device_rotate";//旋转屏幕

    String DEVICE_REBOOT = "device_reboot";//重启

    String DEVICE_SHUTDOWN = "device_shutdown";//关机

    String DEVICE_START_NODE = "device_start_node";//开始获取node节点

    String DEVICE_STOP_NODE = "device_stop_node";//停止获取node节点

    String DEVICE_OPEN_SETTING = "device_openSetting";//打开设置

    String DEVICE_OPEN_CAMERA= "device_openCamera";//打开相机

    String DEVICE_APP_LIST = "device_appList";//获取应用列表

    String DEVICE_INSTALL = "device_install";//安装应用

    String DEVICE_UNINSTALL = "device_uninstall";//卸载应用

    String DEVICE_WIFI = "device_wifi";//设置WiFi

    String DEVICE_OPEN_BROWSER = "device_openBrowser";//打开浏览器

    String SHELL_COMMAND = "shell_command";//发送shell命令

    String LOGCAT_START = "logcat_start";//开启日志

    String LOGCAT_STOP = "logcat_stop";//关闭日志

    String LOGCAT_DOWNLOAD = "logcat_download";//日志下载

    String FS_LIST = "fs_list";//获取文件列表

    String FS_PUSH = "fs_push";//上传文件到设备

    String FS_PULL = "fs_pull";//下载设备中的文件

    String CONNECT_START = "connect_start";//开启远程adb

    String CONNECT_STOP = "connect_stop";//结束远程adb

    String PERF_START = "device_start_per_data";//开启性能数据

    String PERF_STOP = "device_stop_per_data";//结束性能数据

}
