package net.northking.cctp.upperComputer.constants;

/**
 * 设备WebDriverAgent运行状态
 */
public enum WebDriverAgentState {
    /**
     * 没有运行
     */
    NO_RUN,

    /**
     * 正在启动
     */
    STARTING,

    /**
     * FBServer已经准备好接收响应
     */
    READY,

    /**
     * 已退出
     */
    EXIT
}
