/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.dao;

import net.northking.cctp.testbug.db.entity.BugCorrelationLink;
import net.northking.cctp.testbug.db.mapper.BugCorrelationLinkMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：缺陷关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-10-13 14:00:14  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface BugCorrelationLinkDao extends BugCorrelationLinkMapper
{


    List<BugCorrelationLink> findCaseListByBugs(@Param("bugList") List<String> bugList);

    void pubAdd(BugCorrelationLink addDto);

  Integer removeByCode(String bugCode);
}
