/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.dw.db.entity.MtCaseDesignChart;

/**
 * Mybatis数据库持久层（底层）：用例设计统计图表

 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2021-12-15 14:58:27  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface MtCaseDesignChartMapper extends BasicDao<MtCaseDesignChart>
{
  String EntityName = "MtCaseDesignChart";

  String COLUMN_id = "id";
  String COLUMN_processCaseDesignAmount = "process_case_design_amount";
  String COLUMN_pageCaseDesignAmount = "page_case_design_amount";
  String COLUMN_deviceCaseDesignAmount = "device_case_design_amount";
  String COLUMN_financeCaseDesignAmount = "finance_case_design_amount";
  String COLUMN_businessCaseDesignAmount = "business_case_design_amount";
  String COLUMN_runBatchCaseDesignAmount = "run_batch_case_design_amount";
  String COLUMN_specialCaseDesignAmount = "special_case_design_amount";
  String COLUMN_otherCaseDesignAmount = "other_case_design_amount";
  String COLUMN_noBusinessCaseDesignAmount = "no_business_case_design_amount";
  String COLUMN_formCaseDesignAmount = "form_case_design_amount";
  String COLUMN_formCheckCaseDesignAmount = "form_check_case_design_amount";
  String COLUMN_interfaceCaseDesignAmount = "interface_case_design_amount";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_createBy = "create_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_projectId = "project_id";

}
