package net.northking.cctp.dw.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 有效脚本记录表
 * </p>
 *
 * @author autoGenerator
 * @since 2022-11-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ValidScriptDTO implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 首次执行时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date firstExecutionTime;

    /**
     * 脚本id
     */
    private String scriptId;

    /**
     * 脚本编号
     */
    private String scriptCode;

    /**
     * 脚本名称
     */
    private String scriptName;

    /**
     * 脚本类型（1-场景，2-接口）
     */
    private Integer scriptType;

    /**
     * 脚本步骤数
     */
    private Integer scriptStepNum;

    /**
     * 脚本负责人
     */
    private Long scriptManager;

    /**
     * 系统id
     */
    private Long projectId;

    /**
     * 测试计划id
     */
    private String planId;

    /**
     * 测试计划名称
     */
    private String planName;

    /**
     * 记录创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 脚本标签
     */
    private String tag;

}
