package net.northking.cctp.dw.feign;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Size;
import java.util.Date;

@Data
public class CpEnv {
    /**
     * 主键id<br>
     */
    @ApiModelProperty("主键id")
    @Size(max = 32, message = "主键id-id: 数据长度不能 > 32")
    private String id;
    /**
     * 环境名称<br>
     */
    @ApiModelProperty("环境名称")
    @Size(max = 30, message = "环境名称-envName: 数据长度不能 > 30")
    private String envName;
    /**
     * 环境描述<br>
     */
    @ApiModelProperty("环境描述")
    @Size(max = 255, message = "环境描述-memo: 数据长度不能 > 255")
    private String memo;
    /**
     * 是否默认<br>
     */
    @ApiModelProperty("是否默认")
    private Boolean defaultFlag;
    /**
     * 是否删除<br>
     */
    @ApiModelProperty("是否删除")
    private Boolean deleted;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    @Size(max = 32, message = "创建人-createdBy: 数据长度不能 > 32")
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 修改人<br>
     */
    @ApiModelProperty("修改人")
    @Size(max = 32, message = "修改人-updatedBy: 数据长度不能 > 32")
    private String updatedBy;
    /**
     * 修改时间<br>
     */
    @ApiModelProperty("修改时间")
    private Date updatedTime;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    @Size(max = 32, message = "租户id-tenantId: 数据长度不能 > 32")
    private String tenantId;
}
