/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.saas.db.impl;

import net.northking.cctp.common.db.entity.EntityService;
import net.northking.cctp.saas.db.dao.SaasTenantAdminDao;
import net.northking.cctp.saas.db.service.SaasTenantAdminService;
import net.northking.cctp.saas.db.entity.SaasTenantAdmin;

import net.northking.cctp.common.db.BasicDao;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;


/**
 * 租户管理员关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-09-09 01:22:47  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "SaasTenantAdminServiceImpl")
public class SaasTenantAdminServiceImpl extends EntityService<SaasTenantAdmin> implements SaasTenantAdminService
{
private static final Logger logger = LoggerFactory.getLogger(SaasTenantAdminServiceImpl.class);

  private final SaasTenantAdminDao saasTenantAdminDao;

  public SaasTenantAdminServiceImpl(SaasTenantAdminDao saasTenantAdminDao) {this.saasTenantAdminDao = saasTenantAdminDao;}

  public BasicDao<SaasTenantAdmin> getDao() {return saasTenantAdminDao;}

  public SaasTenantAdmin createEntity() { return new SaasTenantAdmin();}







}

